﻿label splashscreen:
    call screen glossary()

label start:
    return

screen glossary():
    text "Glossary" size 40 xalign 0.5 ypos 20
    hbox spacing 200:
        viewport:
            xpos 50 ypos 100 xsize 300 ysize 500
            child_size (None, 4000)
            scrollbars "vertical"
            spacing 5
            draggable True
            mousewheel True
            arrowkeys True
            add "#000c"
            vbox spacing 20:
                for word in glossary_dict:
                    textbutton word:
                        action SetVariable("display_desc", word)
        vbox ypos 100 xsize 650 ysize 500 box_wrap True:
            text glossary_dict.get(display_desc, "")

init -1 python:
    display_desc = ""
    glossary_dict = \
    {'Absurdity': 'A statement or belief manifestly inconsistent with',
     'Academe': 'An ancient school where morality and philosophy were',
     'Academy': '[from ACADEME]   A modern school where football is',
     'Accident': 'An inevitable occurrence due to the action of immutable',
     'Accomplice': 'One associated with another in a crime, having guilty',
     'Accord': 'Harmony.',
     'Accordion': 'An instrument in harmony with the sentiments of an',
     'Accountability': 'The mother of caution.',
     'Accuse': "To affirm another's guilt or unworth; most commonly as a",
     'Acephalous': 'In the surprising condition of the Crusader who',
     'Achievement': 'The death of endeavor and the birth of disgust.',
     'Acknowledge': "To confess.  Acknowledgement of one another's",
     'Acquaintance': 'A person whom we know well enough to borrow from,',
     'Actually': 'Perhaps; possibly.',
     'Adage': 'Boned wisdom for weak teeth.',
     'Adamant': 'A mineral frequently found beneath a corset.  Soluble in',
     'Adder': 'A species of snake.  So called from its habit of adding',
     'Adherent': 'A follower who has not yet obtained all that he expects',
     'Administration': 'An ingenious abstraction in politics, designed to',
     'Admiral': 'That part of a war-ship which does the talking while the',
     'Admiration': "Our polite recognition of another's resemblance to",
     'Admonition': 'Gentle reproof, as with a meat-axe.  Friendly warning.',
     'Adore': 'To venerate expectantly.',
     'Advice': 'The smallest current coin.',
     'Affianced': 'Fitted with an ankle-ring for the ball-and-chain.',
     'Affliction': 'An acclimatizing process preparing the soul for',
     'African': 'A nigger that votes our way.',
     'Age': 'That period of life in which we compound for the vices that',
     'Agitator': 'A statesman who shakes the fruit trees of his neighbors',
     'Aim': '      The task we set our wishes to.',
     'Air': 'A nutritious substance supplied by a bountiful Providence for',
     'Alderman': 'An ingenious criminal who covers his secret thieving',
     'Alien': 'An American sovereign in his probationary state.',
     'Allah': 'The Mahometan Supreme Being, as distinguished from the',
     'Allegiance': '  This thing Allegiance, as I suppose,',
     'Alliance': 'In international politics, the union of two thieves who',
     'Alligator': 'The crocodile of America, superior in every detail to',
     'Alone': 'In bad company.',
     'Altar': 'The place whereupon the priest formerly raveled out the',
     'Ambidextrous': 'Able to pick with equal skill a right-hand pocket',
     'Ambition': 'An overmastering desire to be vilified by enemies while',
     'Amnesty': "The state's magnanimity to those offenders whom it would",
     'Anoint': 'To grease a king or other great functionary already',
     'Antipathy': "The sentiment inspired by one's friend's friend.",
     'Aphorism': 'Predigested wisdom.',
     'Apologize': 'To lay the foundation for a future offence.',
     'Apostate': 'A leech who, having penetrated the shell of a turtle',
     'Apothecary': "The physician's accomplice, undertaker's benefactor",
     'Appeal': 'In law, to put the dice into the box for another throw.',
     'Appetite': 'An instinct thoughtfully implanted by Providence as a',
     'Applause': 'The echo of a platitude.',
     'Archbishop': 'An ecclesiastical dignitary one point holier than a',
     'Architect': 'One who drafts a plan of your house, and plans a draft',
     'Ardor': 'The quality that distinguishes love without knowledge.',
     'Arena': 'In politics, an imaginary rat-pit in which the statesman',
     'Aristocracy': 'Government by the best men.  (In this sense the word',
     'Armor': 'The kind of clothing worn by a man whose tailor is a',
     'Arrayed': 'Drawn up and given an orderly disposition, as a rioter',
     'Arrest': 'Formally to detain one accused of unusualness.',
     'Arsenic': 'A kind of cosmetic greatly affected by the ladies, whom',
     'Art': 'This word has no definition.  Its origin is related as',
     'Fool': 'The March fool with another month added to his folly.',
     'Ass': 'A public singer with a good voice but no ear.  In Virginia\
    City, Nevada, he is called the Washoe Canary, in Dakota, the Senator,\
    and everywhere the Donkey.  The animal is widely and variously\
    celebrated in the literature, art and religion of every age and\
    country; no other so engages and fires the human imagination as this\
    noble vertebrate.  Indeed, it is doubted by some (Ramasilus, _lib.\
    II., De Clem._, and C. Stantatus, _De Temperamente_) if it is not a\
    god; and as such we know it was worshiped by the Etruscans, and, if we\
    may believe Macrobious, by the Cupasians also.'}