import os, re, json, pprint

gdict = {}

with open('glossary.txt') as f:
    text = f.read()
    chunk = re.findall(r'([A-Z]+), .+?\s\s(.+)', text)
    for elm in chunk:
        word, desc = elm
        word = word.lower().capitalize()
        gdict[word] = desc

with open('parsed.txt', 'wt') as fout:
    pprint.pprint(gdict, fout)

pprint.pprint(gdict)